Message: Failure to build libG4interfaces for G4 9.4.p01 on cygwin Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Failure to build libG4interfaces for G4 9.4.p01 on cygwin 

Forum: Installation and Configuration
Date: 10 Mar, 2011
From: <heather@slac.stanford.edu>

Hi, I'm trying to upgraded to G4 9.4.p01 from 8.0.p01, so while I'm familiar with building G4 on cygwin, this time around has proven to be a little more interesting.

Using ./Configure -build, I am attempting to build global, static libraries in debug mode. I have turned off all UI and visualization and I have set G4_NO_VERBOSE by hand. Everything seems to build, except libG4interfaces.a, where I receive the following:

Merging object files in c:/geant4-9.4/geant4_9_4_p01/lib/WIN32-VC/libG4interfaces.a ... mv: cannot stat `c:/geant4-9.4/geant4_9_4_p01/lib/WIN32-VC/libG4interfaces.lib': No such file or directory make[1]:

Before that step, we have just completed building libG4persistency.a - so there appears to be no attempt to actually compile anything under interfaces. I then attempted to build that library by hand by setting up my environment and entering the source/interfaces subdirectory and issuing: "make global". I receive the same error message. Again, there doesn't seem to be any attempt to actually compile anything. Looking in the tmp directory, there is no "G4interfaces" subdirectory.

What am I doing incorrectly?

Thanks, Heather

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Failure to build libG4interfaces for G4 9.4.p01 on cygwin   (heather@slac.stanford.edu - 10 Mar, 2011)
1 None: Re: Failure to build libG4interfaces for G4 9.4.p01 on cygwin   (Ben Morgan - 14 Mar, 2011)
1 None: Re: Failure to build libG4interfaces for G4 9.4.p01 on cygwin   (heather@slac.stanford.edu - 16 Mar, 2011)
... 1 Message(s)
2 None: Re: Failure to build libG4interfaces for G4 9.4.p01 on cygwin   (Forrest Iandola - 17 Aug, 2011)
 Add Message Add Message
to: "Failure to build libG4interfaces for G4 9.4.p01 on cygwin"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]